Public Class FormOption

	Public Property Smtp() As String
		Get
			return TextSmtp.Text
		End Get
		Set(ByVal Value As String)
			TextSmtp.Text = Value
		End Set
	End Property

	Public Property SmtpPort() As Integer
		Get
			return Integer.Parse(textSmtpPort.Text)
		End Get
		Set(ByVal Value As Integer)
			textSmtpPort.Text = value.ToString()
		End Set
	End Property

	Public Property SmtpSsl() As Integer
		Get
			if comboSmtpSsl.SelectedIndex = 1 Then
				return nMail.Smtp.SSL3
			Elseif comboSmtpSsl.SelectedIndex = 2 Then
				return nMail.Smtp.TLS1
			elseif comboSmtpSsl.SelectedIndex = 3 Then
				return nMail.Smtp.STARTTLS
			Else
				return 0
			End If
		End Get
		Set(ByVal Value As Integer)
			if Value = nMail.Smtp.SSL3 Then
				comboSmtpSsl.SelectedIndex = 1
			Elseif value = nMail.Smtp.TLS1 Then
				comboSmtpSsl.SelectedIndex = 2
			elseif value = nMail.Smtp.STARTTLS Then
				comboSmtpSsl.SelectedIndex = 3
			Else
				comboSmtpSsl.SelectedIndex = 0
			End If
		End Set
	End Property

	public Property SmtpAuth() As Integer
		Get
			if comboSmtpAuth.SelectedIndex = 3 Then
				return nMail.Smtp.AuthCramMd5
			Else
				return comboSmtpAuth.SelectedIndex
			End If
        End Get
		Set(ByVal Value As Integer)
			if value = nMail.Smtp.AuthCramMd5 Then
				comboSmtpAuth.SelectedIndex = 3
			Else
				comboSmtpAuth.SelectedIndex = value
			End If
		End Set
	End Property

	Public Property Pop3() As String
		Get
			return TextPop3.Text
		End Get
		Set(ByVal Value As String)
			TextPop3.Text = Value
		End Set
	End Property

	Public Property Pop3Port() As Integer
		Get
			return Integer.Parse(textPop3Port.Text)
		End Get
		Set(ByVal Value As Integer)
			textPop3Port.Text = value.ToString()
		End Set
	End Property

	Public Property Pop3Ssl() As Integer
		Get
			if comboPop3Ssl.SelectedIndex = 1 Then
				return nMail.Pop3.SSL3
			Elseif comboPop3Ssl.SelectedIndex = 2 Then
				return nMail.Pop3.TLS1
			elseif comboPop3Ssl.SelectedIndex = 3 Then
				return nMail.Pop3.STARTTLS
			Else
				return 0
			End If
		End Get
		Set(ByVal Value As Integer)
			if Value = nMail.Pop3.SSL3 Then
				comboPop3Ssl.SelectedIndex = 1
			Elseif value = nMail.Pop3.TLS1 Then
				comboPop3Ssl.SelectedIndex = 2
			elseif value = nMail.Pop3.STARTTLS Then
				comboPop3Ssl.SelectedIndex = 3
			Else
				comboPop3Ssl.SelectedIndex = 0
			End If
		End Set
	End Property

	Public Property Address() As String
		Get
			return TextAddress.Text
		End Get
		Set(ByVal Value As String)
			TextAddress.Text = Value
		End Set
	End Property

	Public Property Apop() As Boolean
		Get
			return CheckApop.Checked
		End Get
		Set(ByVal Value As Boolean)
			CheckApop.Checked = Value
		End Set
	End Property

    Private Sub comboSmtpSsl_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles comboSmtpSsl.SelectedIndexChanged
        If (comboSmtpSsl.SelectedIndex = 0) Or (comboSmtpSsl.SelectedIndex = 3) Then
            textSmtpPort.Text = nMail.Smtp.StandardPortNo.ToString()
        Else
            textSmtpPort.Text = nMail.Smtp.StandardSslPortNo.ToString()
        End If
    End Sub

    Private Sub comboPop3Ssl_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles comboPop3Ssl.SelectedIndexChanged
        If (comboPop3Ssl.SelectedIndex = 0) Or (comboPop3Ssl.SelectedIndex = 3) Then
            textPop3Port.Text = nMail.Pop3.StandardPortNo.ToString()
        Else
            textPop3Port.Text = nMail.Pop3.StandardSslPortNo.ToString()
        End If
    End Sub
End Class